nRF51 SDK: Data Structures

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Structures
Here are the data structures with brief descriptions:
[detail level 12]

__FILE |
ant_evt_t | ANT stack event type
antfs_beacon_status_byte1_t | ANT-FS beacon status
antfs_dir_header_t | ANT-FS directory header
antfs_dir_struct_t | ANT-FS directory entry
antfs_event_queue_t |
antfs_event_return_t | ANT-FS <-> application event communication object
antfs_params_t | ANT-FS parameters
antfs_request_info_t | ANT-FS download/upload request context
antfs_states_t |
antfs_substate_t |
antplus_event_return_t | Bicycle Power profile to application communication object
app_button_cfg_t | Button configuration structure
app_fifo_t | A FIFO instance structure. Keeps track of which bytes to read and write next. Also it keeps the information about which memory is allocated for the buffer and its size. This needs to be initialized by app_fifo_init() before use
app_uart_buffers_t | UART buffer for transmitting/receiving data
app_uart_comm_params_t | UART communication structure holding configuration settings for the peripheral
app_uart_evt_t | Struct containing events from the UART module
ble_advdata_conn_int_t | Connection interval range structure
ble_advdata_manuf_data_t | Manufacturer specific data structure
ble_advdata_service_data_t | Service data structure
ble_advdata_t | Advertising data structure. This contains all options and data needed for encoding and setting the advertising data
ble_advdata_uuid_list_t | UUID list type
ble_ans_alert_notification_t | Alert Notification structure
ble_ans_alert_settings_t | Alert Notification Setting structure containing the supported alerts in the service
ble_ans_c_evt_t | Alert Notification Event structure
ble_ans_c_init_t | Alert Notification init structure. This contains all options and data needed for initialization of the client
ble_ans_c_s | Alert Notification structure. This contains various status information for the client
ble_ans_control_point_t | Alert Notification Control Point structure
ble_bas_c_evt_t | Battery Service Client Event structure
ble_bas_c_init_t | Battery Service Client init structure
ble_bas_c_s | Battery Service Client structure
ble_bas_evt_t | Battery Service event
ble_bas_init_t | Battery Service init structure. This contains all options and data needed for initialization of the service
ble_bas_s | Battery Service structure. This contains various status information for the service
ble_bondmngr_evt_t | Bond Manager Module event
ble_bondmngr_init_t | Bond Manager Module init structure. This contains all options and data needed for initialization of the Bond Manager module
ble_bps_evt_t | Blood Pressure Service event
ble_bps_init_t | Blood Pressure Service init structure. This contains all options and data needed for initialization of the service
ble_bps_meas_s | Blood Pressure Service measurement structure. This contains a Blood Pressure measurement
ble_bps_s | Blood Pressure Service structure. This contains various status information for the service
ble_central_bondmngr_init_t |
ble_central_bondmngr_t |
ble_common_evt_t | Event structure for events not associated with a specific function module
ble_conn_params_evt_t | Connection Parameters Module event
ble_conn_params_init_t | Connection Parameters Module init structure. This contains all options and data needed for initialization of the connection parameters negotiation module
ble_cs_ctrlpt_init_t | Speed and Cadence Control Point init structure. This contains all options and data needed for initialization of the Speed and Cadence Control Point module
ble_cscs_evt_t | Cycling Speed and Cadence Service event
ble_cscs_init_t | Cycling Speed and Cadence Service init structure. This contains all options and data needed for initialization of the service
ble_cscs_meas_s | Cycling Speed and Cadence Service measurement structure. This contains a Cycling Speed and Cadence Service measurement
ble_cscs_s | Cycling Speed and Cadence Service structure. This contains various status information for the service
ble_date_time_t | Date and Time structure
ble_db_discovery_char_t | Structure for holding the characteristic and the handle of its CCCD found during the discovery process
ble_db_discovery_evt_t | Structure containing the event from the DB discovery module to the application
ble_db_discovery_init_t | Structure containing information need to initialize the DB Discovery module
ble_db_discovery_srv_t | Structure for holding information about the service and the characteristics found during the discovery process
ble_db_discovery_t | Structure for holding the information related to the GATT database at the server
ble_dfu_evt_t | DFU Event structure
ble_dfu_init_t | DFU service initialization structure
ble_dfu_pkt_write_t | DFU Packet structure
ble_dfu_s | DFU service structure
ble_dis_init_t | Device Information Service init structure. This contains all possible characteristics needed for initialization of the service
ble_dis_pnp_id_t | PnP ID parameters
ble_dis_reg_cert_data_list_t | IEEE 11073-20601 Regulatory Certification Data List Structure
ble_dis_sys_id_t | System ID parameters
ble_error_log_data_t | Error Log Data structure
ble_evt_hdr_t | BLE Event header
ble_evt_t | Common BLE Event type, wrapping the module specific event reports
ble_evt_tx_complete_t | TX complete event
ble_evt_user_mem_release_t | Event structure for BLE_EVT_USER_MEM_RELEASE
ble_evt_user_mem_request_t | Event structure for BLE_EVT_USER_MEM_REQUEST
ble_gap_addr_t | Bluetooth Low Energy address
ble_gap_adv_params_t | GAP advertising parameters
ble_gap_conn_params_t | GAP connection parameters
ble_gap_conn_sec_mode_t | GAP link requirements
ble_gap_conn_sec_t | GAP connection security status
ble_gap_enc_info_t | GAP Encryption Information
ble_gap_enc_key_t | Encryption Key
ble_gap_evt_adv_report_t | Event data for advertising report event
ble_gap_evt_auth_key_request_t | Event data for authentication key request event
ble_gap_evt_auth_status_t | Event data for authentication status event
central_keys_t |
periph_keys_t |
ble_gap_evt_conn_param_update_request_t | Event data for connection parameter update request event
ble_gap_evt_conn_param_update_t | Event data for connection parameter update event
ble_gap_evt_conn_sec_update_t | Event data for connection security update event
ble_gap_evt_connected_t | Event data for connected event
ble_gap_evt_disconnected_t | Event data for disconnected event
ble_gap_evt_passkey_display_t | Event data for passkey display event
ble_gap_evt_rssi_changed_t | Event data for advertisement report event
ble_gap_evt_sec_info_request_t | Event data for securito info request event
ble_gap_evt_sec_params_request_t | Event data for security parameters request event
ble_gap_evt_sec_request_t | Event data for security request event
ble_gap_evt_t | GAP event callback event structure
ble_gap_evt_timeout_t | Event data for timeout event
ble_gap_id_info_t | GAP Identity Information
ble_gap_id_key_t | Identity Key
ble_gap_irk_t | Identity Resolving Key
ble_gap_master_id_t | GAP Master Identification
ble_gap_opt_ch_map_t | Channel Map option
ble_gap_opt_t | Option structure for GAP options
ble_gap_scan_params_t | GAP scanning parameters
ble_gap_sec_kdist_t | Keys that can be exchanged
ble_gap_sec_keys_t | Keys that have been exchanged
ble_gap_sec_keyset_t | Security key set (both Peripheral and Central keys). Note that when distributing Bluetooth addresses pertaining to the local device those will have to be filled in by the user
ble_gap_sec_levels_t | Security levels supported
ble_gap_sec_params_t | GAP security parameters
ble_gap_sign_info_t | GAP Signing Information
ble_gap_whitelist_t | Whitelist structure
ble_gatt_char_ext_props_t | GATT Characteristic Extended Properties
ble_gatt_char_props_t | GATT Characteristic Properties
ble_gattc_char_t | GATT characteristic
ble_gattc_desc_t | GATT descriptor
ble_gattc_evt_char_disc_rsp_t | Event structure for BLE_GATTC_EVT_CHAR_DISC_RSP
ble_gattc_evt_char_val_by_uuid_read_rsp_t | Event structure for BLE_GATTC_EVT_CHAR_VAL_BY_UUID_READ_RSP
ble_gattc_evt_char_vals_read_rsp_t | Event structure for BLE_GATTC_EVT_CHAR_VALS_READ_RSP
ble_gattc_evt_desc_disc_rsp_t | Event structure for BLE_GATTC_EVT_DESC_DISC_RSP
ble_gattc_evt_hvx_t | Event structure for BLE_GATTC_EVT_HVX
ble_gattc_evt_prim_srvc_disc_rsp_t | Event structure for BLE_GATTC_EVT_PRIM_SRVC_DISC_RSP
ble_gattc_evt_read_rsp_t | Event structure for BLE_GATTC_EVT_READ_RSP
ble_gattc_evt_rel_disc_rsp_t | Event structure for BLE_GATTC_EVT_REL_DISC_RSP
ble_gattc_evt_t | GATTC event type
ble_gattc_evt_timeout_t | Event structure for BLE_GATTC_EVT_TIMEOUT
ble_gattc_evt_write_rsp_t | Event structure for BLE_GATTC_EVT_WRITE_RSP
ble_gattc_handle_range_t | Operation Handle Range
ble_gattc_handle_value_t | GATT read by UUID handle value pair
ble_gattc_include_t | GATT include
ble_gattc_service_t | GATT service
ble_gattc_write_params_t | Write Parameters
ble_gatts_attr_context_t | GATT Attribute Context
ble_gatts_attr_md_t | Attribute metadata
ble_gatts_attr_t | GATT Attribute
ble_gatts_char_handles_t | GATT Characteristic Definition Handles
ble_gatts_char_md_t | GATT Characteristic metadata
ble_gatts_char_pf_t | GATT Characteristic Presentation Format
ble_gatts_evt_hvc_t | Event structure for BLE_GATTS_EVT_HVC
ble_gatts_evt_read_t | Event structure for authorize read request
ble_gatts_evt_rw_authorize_request_t | Event structure for BLE_GATTS_EVT_RW_AUTHORIZE_REQUEST
ble_gatts_evt_sys_attr_missing_t | Event structure for BLE_GATTS_EVT_SYS_ATTR_MISSING
ble_gatts_evt_t | GATT Server event callback event structure
ble_gatts_evt_timeout_t | Event structure for BLE_GATTS_EVT_TIMEOUT
ble_gatts_evt_write_t | Event structure for BLE_GATTS_EVT_WRITE
ble_gatts_hvx_params_t | GATT HVx parameters
ble_gatts_read_authorize_params_t | GATT Read Authorization parameters
ble_gatts_rw_authorize_reply_params_t | GATT Read or Write Authorize Reply parameters
ble_gatts_write_authorize_params_t | GATT Write Authorisation parameters
ble_gls_evt_t | Glucose Service event
ble_gls_init_t | Glucose Service init structure. This contains all options and data needed for initialization of the service
ble_gls_meas_context_t | Glucose measurement context structure
ble_gls_meas_t | Glucose Measurement structure. This contains glucose measurement value
ble_gls_rec_t | Glucose measurement record
ble_gls_s | Glucose Service structure. This contains various status information for the service
ble_hids_char_id_t | HID Service characteristic id
ble_hids_evt_t | HID Service event
ble_hids_feature_rep_init_t | HID Service Feature Report characteristic init structure. This contains all options and data needed for initialization of one Feature Report characteristic
ble_hids_hid_information_t | HID Information characteristic value
ble_hids_init_t | HID Service init structure. This contains all options and data needed for initialization of the service
ble_hids_inp_rep_init_t | HID Service Input Report characteristic init structure. This contains all options and data needed for initialization of one Input Report characteristic
ble_hids_outp_rep_init_t | HID Service Output Report characteristic init structure. This contains all options and data needed for initialization of one Output Report characteristic
ble_hids_rep_char_t | HID Report characteristic structure
ble_hids_rep_map_init_t | HID Service Report Map characteristic init structure. This contains all options and data needed for initialization of the Report Map characteristic
ble_hids_s | HID Service structure. This contains various status information for the service
ble_hrm_t | Structure containing the heart rate measurement received from the peer
ble_hrs_c_evt_t | Heart Rate Event structure
ble_hrs_c_init_t | Heart Rate Client init structure
ble_hrs_c_s | Heart Rate Client structure
ble_hrs_evt_t | Heart Rate Service event
ble_hrs_init_t | Heart Rate Service init structure. This contains all options and data needed for initialization of the service
ble_hrs_s | Heart Rate Service structure. This contains various status information for the service
ble_hts_evt_t | Health Thermometer Service event
ble_hts_init_t | Health Thermometer Service init structure. This contains all options and data needed for initialization of the service
ble_hts_meas_s | Health Thermometer Service measurement structure. This contains a Health Thermometer measurement
ble_hts_s | Health Thermometer Service structure. This contains various status information for the service
ble_ias_c_evt_t | Immediate Alert Service client event
ble_ias_c_init_t | IAS Client init structure. This contains all options and data needed for initialization of the client
ble_ias_c_s | IAS Client structure. This contains various status information for the client
ble_ias_evt_t | Immediate Alert Service event
ble_ias_init_t | Immediate Alert Service init structure. This contains all options and data needed for initialization of the service
ble_ias_s | Immediate Alert Service structure. This contains various status information for the service
ble_l2cap_evt_rx_t | L2CAP Received packet event report
ble_l2cap_evt_t | L2CAP event callback event structure
ble_l2cap_header_t | Packet header format for L2CAP transmission
ble_lls_evt_t | Link Loss Service event
ble_lls_init_t | Link Loss Service init structure. This contains all options and data needed for initialization of the service
ble_lls_s | Link Loss Service structure. This contains various status information for the service
ble_opt_t | Common BLE Option type, wrapping the module specific options
ble_pkt_rcpt_notif_req_t | Packet receipt notification request structure
ble_racp_value_t | Record Access Control Point value structure
ble_rscs_evt_t | Running Speed and Cadence Service event
ble_rscs_init_t | Running Speed and Cadence Service init structure. This contains all options and data needed for initialization of the service
ble_rscs_meas_s | Running Speed and Cadence Service measurement structure. This contains a Running Speed and Cadence measurement
ble_rscs_s | Running Speed and Cadence Service structure. This contains various status information for the service
ble_sc_ctrlpt_evt_t | Speed and Cadence Control point event
ble_sc_ctrlpt_resp_t | Speed and Cadence Control Point response indication structure
ble_sc_ctrlpt_rsp_t |
ble_sc_ctrlpt_s | Speed and Cadence Control Point structure. This contains various status information for the Speed and Cadence Control Point behavior
ble_sc_ctrlpt_val_t |
ble_sensorsim_cfg_t | Triangular waveform sensor simulator configuration
ble_sensorsim_state_t | Triangular waveform sensor simulator state
ble_srv_cccd_security_mode_t | Security settings structure
ble_srv_report_ref_t | Value of a Report Reference descriptor
ble_srv_security_mode_t | Security settings structure
ble_srv_utf8_str_t | UTF-8 string data type
ble_tps_init_t | TX Power Service init structure. This contains all options and data needed for initialization of the service
ble_tps_t | TX Power Service structure. This contains various status information for the service
ble_user_mem_block_t | User Memory Block
ble_uuid128_t | 128 bit UUID values
ble_uuid_t | Bluetooth Low Energy UUID type, encapsulates both 16-bit and 128-bit UUIDs
ble_version_t | Version Information
bootloader_settings_t | Structure holding bootloader settings for application and bank data
bp_page16_data_t | Bicycle Power page 16 data structure
bp_page17_data_t | Bicycle Power page 17 data structure
bp_page18_data_t | Bicycle Power page 18 data structure
bp_page1_response_data_t | Bicycle Power page 1 general calibration response data structure
bp_page32_data_t | Bicycle Power page 32 data structure
cmd_response_t | Command response type
device_handle | Device Handle used for unique identification of each peer
dfu_update_packet_t | Structure holding a bootloader packet received on the UART
dfu_update_status_t | Structure holding DFU complete event
directory_file_t |
dm_application_param_t | Application Registration Parameters
dm_context_t | Context Data Definition
dm_event_param_t | Event parameters
dm_event_t | Asynchronous events details notified to the application by the module
dm_init_param_t | Initialization Parameters
dm_service_context_t | Service Context
friendly_name_t |
hci_slip_evt_t | Structure containing an event from the SLIP layer
hci_transport_evt_t | Struct containing events from the Transport layer
hci_transport_ioctl_cmd_t |
hrm_page0_data_t | Data structure for HRM data page 0
hrm_page1_data_t | Data structure for HRM data page 1
hrm_page2_data_t | Data structure for HRM data page 2
hrm_page3_data_t | Data structure for HRM data page 3
hrm_page4_data_t | Data structure for HRM data page 4
ieee_float16_t | SFLOAT format (IEEE-11073 16-bit FLOAT, defined as a 16-bit vlue with 12-bit mantissa and 4-bit exponent
ieee_float32_t | FLOAT format (IEEE-11073 32-bit FLOAT, defined as a 32-bit value with a 24-bit mantissa and an 8-bit exponent
nrf_ecb_hal_data_t | AES ECB data structure
nrf_gzll_device_tx_info_t | Data structure containing information about the last packet transmission
nrf_gzll_host_rx_info_t | Data structure containing information about the last packet received
page80_data_t | Common page 80 data structure
page81_data_t | Common page 81 data structure
pin_transition_t | Pin transition direction struct
pstorage_handle_t |
pstorage_module_param_t |
sfloat_t | SFLOAT format (IEEE-11073 16-bit FLOAT, meaning 4 bits for exponent (base 10) and 12 bits mantissa)
spi_slave_config_t | SPI peripheral device configuration data
spi_slave_evt_t | Struct containing event context from the SPI slave driver
uint8_array_t | Byte array type
ulong_union_t | Uint32_t type presentation as an union
ushort_union_t | Uint16_t type presentation as an union